
.embed-responsive {
    position: relative;
    display: block;
    width: 100%;
    padding: 0;
    overflow: hidden;

    &::before {
        display: block;
        content: "";
    }

    .embed_responsive_item,
    iframe,
    embed,
    object,
    video {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border: 0;
    }
}

.embed-responsive_21by9 {
    &::before {
        padding-top: percentage(9 / 21);
    }
}

.embed-responsive_16by9 {
    &::before {
        padding-top: percentage(9 / 16);
    }
}

.embed-responsive_4by3 {
    &::before {
        padding-top: percentage(3 / 4);
    }
}

.embed-responsive_1by1 {
    &::before {
        padding-top: percentage(1 / 1);
    }
}


.img-fluid {
    height: auto;
    display: block;
    max-width: 100%;
}

.ico-svg {
    position: relative;
    display: inline-block;
    width: auto;
    height: 100%;
    -webkit-transform: translate(0, 0);
    transform: translate(0, 0);
}

.hide {
    opacity: 0 !important;
    display: none !important;
    visibility: hidden !important;
}

// Alignment

.text-center    { text-align: center !important; }
.text-right     { text-align: right !important; }
.text-justify   { text-align: justify !important; }
.text-nowrap    { white-space: nowrap !important; }


// Transformation

.text-lowercase  { text-transform: lowercase !important; }
.text-uppercase  { text-transform: uppercase !important; }
.text-capitalize { text-transform: capitalize !important; }

.list-style-none {
    margin: 0;
    padding: 0;
    list-style: none;
}

.mb-0 			 { margin-bottom: 0px !important; }
.mb-10 			 { margin-bottom: size-rel(10px) !important; }
.mb-20 			 { margin-bottom: size-rel(20px) !important; }
.mb-30 			 { margin-bottom: size-rel(30px) !important; }
.mb-40 			 { margin-bottom: size-rel(40px) !important; }
.mb-50 			 { margin-bottom: size-rel(50px) !important; }
.mb-60 			 { margin-bottom: size-rel(60px) !important; }

.mb-13 { margin-bottom: size-rel(13px) !important; }
.mb-24 { margin-bottom: size-rel(24px) !important; }
.mb-32 { margin-bottom: size-rel(32px) !important; }
.mb-36 { margin-bottom: size-rel(36px) !important; }
.mb-44 { margin-bottom: size-rel(44px) !important; }
.mb-56 { margin-bottom: size-rel(56px) !important; }
.mb-104 { margin-bottom: size-rel(104px) !important; }

.ml-10 { margin-left: size-rel(10px); }
.ml-20 { margin-left: size-rel(20px); }

.mr-10 { margin-right: size-rel(10px); }

.height-100 {
    height: 100%;
}

.display-flex {

    @include media-breakpoint-up(lg) {
        display: flex;
        height: 100%;
    }

}

.flex-wrap {
    flex-wrap: wrap;
}

.align-center {
    align-items: center;
}

.direction-column {
    flex-direction: column;
}

.flex-glow-1 {
    flex-grow: 1;
}

.justify-content-center {
    justify-content: center;
}

.border-bottom {
    border-bottom: 1px solid $gray-400;
}

.display-inline-block {
    display: inline-block;
}

.color-dark {
    color: $secondary;
}

.mb-sm-13 {
    margin-bottom: size-rel(13px);

    @include media-breakpoint-up(md) {
        margin-bottom: 0;
    }
}

.mb-xl-100 {

    @include media-breakpoint-up(xl) {
        margin-bottom: size-rel(100px) !important;
    }
}

.color-white { color: #fff !important; }

.pt-13 {
    padding-top: size-rel(13px);
}

.pb-13 {
    padding-bottom: size-rel(13px);
}

.pt-104 {
    padding-top: size-rel(56px);

    @include media-breakpoint-up(xl) {
        padding-top: size-rel(104px);
    }
}

.pt-135 {
    padding-top: size-rel(104px);

    @include media-breakpoint-up(xl) {
        padding-top: size-rel(135px);
    }
}

.pb-156 {
    padding-bottom: size-rel(104px);

    @include media-breakpoint-up(xl) {
        padding-bottom: size-rel(156px);
    }
}

.pt-156 {
    padding-top: size-rel(104px);

    @include media-breakpoint-up(xl) {
        padding-top: size-rel(156px);
    }
}

.bg-white {
    background: $white;
}
